%define __kde4_alternate_placement 1

%define rname digikam
%define label digiKam
Name: %{?__kde4_alternate_placement:kde4-}%rname
%define lname lib%name
Version: 0.10.0
Release: alt1

Summary: digiKam is an advanced digital photo management application for linux
License: %gpl2plus
Group: Graphics
Url: http://www.digikam.org/

Packager: Konstantin Baev <kipruss@altlinux.org>

BuildRequires(pre): rpm-build-licenses

BuildRequires: kde4libs-devel gcc-c++ libjpeg-devel libtiff-devel libpng-devel libjasper-devel liblcms-devel
BuildRequires: kde4graphics-devel libkipi4 libkipi4-common kde4pimlibs-devel libmarblewidget4
BuildRequires: libgphoto2-devel kde4pim-devel libmarblewidget4 libkdcraw4 libkdcraw4-common
BuildRequires: liblensfun-devel libsqlite3-devel imlib-devel graphviz-graphs libqimageblitz-devel

Requires: libqt4-sql-sqlite kde4base-runtime libkipi4
Requires: %lname = %version-%release
Requires: %name-i18n = %version-%release
Requires: %name-data = %version-%release

Source0: %rname-%version.tar

%description
DigiKam is an advanced digital photo management application for KDE.
Photos can be collected into albums which can be sorted chronologically,
by directory layout or by custom collections.
DigiKam also provides tagging functionality. Images can be tagged despite of
their position and digiKam provides fast and intuitive ways to browse them.
User comments and customized meta-information added to images, are stored
into a database and retrieved to make them available into the user interface.
As soon as the camera is plugged in digikam allows you to preview, download,
upload and delete images.
DigiKam also includes tools like Image Editor, to modify photos using plugins
such as red eye correction or Gamma correction, exif management,...
Light Table to make artistic photos and an external image editor such
as Showfoto.
DigiKam also uses KIPI plugins (KDE Image Plugin Interface) to increase
its functionalities.

%package utils
Group: Graphics
Summary: %label utils
Requires: %lname = %version-%release

%description utils
Utilities for %label data.

%package -n %lname
Group: System/Libraries
Summary: %label library

%description -n %lname
%label library.

%package data
Group: Graphics
Summary: A Photo Management Application for KDE
Requires: %name = %version-%release
BuildArch: noarch

%description data
DigiKam is an advanced digital photo management application for KDE.
Photos can be collected into albums which can be sorted chronologically,
by directory layout or by custom collections.
DigiKam also provides tagging functionality. Images can be tagged despite of
their position and digiKam provides fast and intuitive ways to browse them.
User comments and customized meta-information added to images, are stored
into a database and retrieved to make them available into the user interface.
As soon as the camera is plugged in digikam allows you to preview, download,
upload and delete images.
DigiKam also includes tools like Image Editor, to modify photos using plugins
such as red eye correction or Gamma correction, exif management,...
Light Table to make artistic photos and an external image editor such
as Showfoto.
DigiKam also uses KIPI plugins (KDE Image Plugin Interface) to increase
its functionalities.

%package i18n
Group: Graphics
Summary: Languages support for %label
Requires: %name = %version-%release
BuildArch: noarch

%description i18n
Languages support for %label.

%package image-plugins
Group: Graphics
Summary: %label image plugins
Requires: %name = %version-%release

%description image-plugins
%label plugins for additional functionalities in ImageEditor and
Showfoto.

%package -n %lname-devel
Group: Development/KDE and QT
Summary: Development files for %label
Requires: %lname = %version-%release

%description -n %lname-devel
Development files for %label.

%prep
%setup -q -n %rname-%version

%build
%K4build

%install
%K4install
rm -rf %buildroot%_man1dir
%K4find_lang %rname

%files
%ifdef __kde4_alternate_placement
%__kde4_bindir/%rname
%__kde4_bindir/showfoto
%else
%_K4bindir/%rname
%_K4bindir/showfoto
%endif
%_K4lib/kio_%{rname}*.so

%files utils
%ifdef __kde4_alternate_placement
%__kde4_bindir/%{rname}themedesigner
%__kde4_bindir/digitaglinktree
%else
%_K4bindir/%{rname}themedesigner
%_K4bindir/digitaglinktree
%endif

%files -n %lname
%_K4libdir/lib%{rname}*.so.*

%files data
%doc AUTHORS COPYING COPYING.DOC ChangeLog DESIGN HACKING INSTALL NEWS README TODO
%ifdef __kde4_alternate_placement
%__kde4_xdg_apps/*.desktop
%else
%_K4xdg_apps/*.desktop
%endif
%dir %_K4apps/%rname
%_K4apps/%rname/%{rname}imagewindowui.rc
%_K4apps/%rname/%{rname}ui.rc
%_K4apps/%rname/about
%_K4apps/%rname/cameraui.rc
%_K4apps/%rname/data
%_K4apps/%rname/icons
%_K4apps/%rname/lighttablewindowui.rc
%_K4apps/%rname/themes
%_K4apps/%rname/tips
%_K4apps/%rname/utils
%_K4apps/showfoto
%_K4apps/solid/actions/%{rname}-opencamera.desktop
%_K4srv/%{rname}*.protocol

%files i18n -f %rname.lang

%files image-plugins
%_K4lib/%{rname}imageplugin_*.so
%_K4apps/%rname/%{rname}imageplugin_*_ui.rc
%_K4srv/%{rname}imageplugin_*.desktop
%_K4srvtyp/*.desktop

%files -n %lname-devel
%_K4includedir/*
%ifdef __kde4_alternate_placement
%__kde4_libdir_link/*.so
%else
%_K4libdir/*.so
%endif

%changelog
* Thu Mar 19 2009 Konstantin Baev <kipruss@altlinux.org> 0.10.0-alt1
- Release 0.10.0

* Wed Mar 11 2009 Konstantin Baev <kipruss@altlinux.org> 0.10.0-alt0.rc2.1
- New version 0.10.0-rc2

* Mon Feb 16 2009 Konstantin Baev <kipruss@altlinux.org> 0.10.0-alt0.rc1.3
- Remove manpages, whose conflicts with digikam-utils package

* Fri Feb 13 2009 Konstantin Baev <kipruss@altlinux.org> 0.10.0-alt0.rc1.2
- Back to manual BuildRequires

* Fri Feb 13 2009 Konstantin Baev <kipruss@altlinux.org> 0.10.0-alt0.rc1.1
- initial build for KDE4
